## sphinx-panels 0.6.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = SphinxCopybutton
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

clean:
	rm -r $(BUILDDIR)

=== debian/changelog ===
sphinx-panels (0.6.0-6) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Tighten autopkgtest dependencies
  * Make the build reproducible (Closes: #1017475)
  * Drop "Rules-Requires-Root: no"

  [ Dmitry Shachnev ]
  * Add a patch to make the tests pass with Docutils 0.22.
  * Run the autopkgtest for all supported Python versions.
  * Fix Lintian warnings regarding debian/copyright.
  * Sort CSS files for reproducibility.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Sep 2025 12:47:39 +0300

sphinx-panels (0.6.0-5) unstable; urgency=medium

  * Adopt package (Closes: #1065029)
  * Fix syntax error in Maintainer: field that confuses UDD & the Tracker
  * Use dh-sequence-python3
  * Set "Rules-Requires-Root: no"
  * Apply the "Multi-Arch:" hint

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Dec 2024 18:39:25 +0100

sphinx-panels (0.6.0-4) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Feb 2024 00:03:21 -0500

sphinx-panels (0.6.0-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Dmitry Shachnev ]
  * Add a patch to make the tests pass with Sphinx 7 (closes: #1042602).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 04 Nov 2023 11:07:43 +0300

sphinx-panels (0.6.0-2) unstable; urgency=medium

  * source-only upload

 -- Sandro Tosi <morph@debian.org>  Wed, 24 Nov 2021 21:56:27 -0500

sphinx-panels (0.6.0-1) unstable; urgency=low

  * Initial release; Closes: #997671

 -- Sandro Tosi <morph@debian.org>  Fri, 29 Oct 2021 03:32:41 +0000

=== debian/control ===
Source: sphinx-panels
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexandre Detiste <tchet@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest <!nocheck>,
               python3-pytest-regressions <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.6.1
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/executablebooks/sphinx-panels
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-panels.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-panels

Package: python3-sphinx-panels
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: sphinx extension for creating panels in a grid layout
 A sphinx extension for creating document components optimised for HTML+CSS.
 .
   * The panels directive creates panels of content in a grid layout, utilising
     both the Bootstrap 4 grid system, and cards layout
   * The link-button directive creates a click-able button, linking to a URL or
     reference, and can also be used to make an entire panel click-able
   * The dropdown directive creates toggle-able content
   * The tabbed directive creates tabbed content
   * opticon and fa (fontawesome) roles allow for inline icons to be added.

Package: python-sphinx-panels-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: documentation for the sphinx-panels Python library
 A sphinx extension for creating document components optimised for HTML+CSS.
 .
   * The panels directive creates panels of content in a grid layout, utilising
     both the Bootstrap 4 grid system, and cards layout
   * The link-button directive creates a click-able button, linking to a URL or
     reference, and can also be used to make an entire panel click-able
   * The dropdown directive creates toggle-able content
   * The tabbed directive creates tabbed content
   * opticon and fa (fontawesome) roles allow for inline icons to be added.
 .
 This package provides documentation for sphinx-panels

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sphinx-panels
%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build-indep:
	dh_auto_build -i
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

=== debian/tests/control ===
## Enable this test if the package ship a module and it has tests available
Tests: unittests
Depends: @,
         python3-all,
         python3-pytest,
         python3-pytest-regressions,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/executablebooks/sphinx-panels/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
